Bug 730674 - pitivi-0.14.2 is available
Summary: pitivi-0.14.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 10:46 UTC by Upstream Release Monitoring
Modified: 2011-10-19 04:36 UTC (History)
4 users (show)

Fixed In Version: pitivi-0.15.0-1.fc16
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-18 22:13:59 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2011-08-15 10:46:30 UTC
Latest upstream release: 0.14.2
Current version in Fedora Rawhide: 0.14.0
URL: http://www.pitivi.org/?go=download

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Gwyn Ciesla 2011-08-17 13:13:31 UTC
Hmm, lots of patches upstreamed, but build dies due to lack of X.

Making check in tests
make[1]: Entering directory `/home/limb/rpmbuild/BUILD/pitivi-0.14.2/tests'
make  check-local
make[2]: Entering directory `/home/limb/rpmbuild/BUILD/pitivi-0.14.2/tests'
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
Traceback (most recent call last):
  File "./runtests.py", line 32, in <module>
    suite = loader.loadTestsFromNames(test_names)
  File "/usr/lib64/python2.7/unittest/loader.py", line 128, in loadTestsFromNames
    suites = [self.loadTestsFromName(name, module) for name in names]
  File "/usr/lib64/python2.7/unittest/loader.py", line 91, in loadTestsFromName
    module = __import__('.'.join(parts_copy))
  File "/home/limb/rpmbuild/BUILD/pitivi-0.14.2/tests/test_action.py", line 23, in <module>
    import common
  File "/home/limb/rpmbuild/BUILD/pitivi-0.14.2/tests/common.py", line 11, in <module>
    from pitivi.factories.base import ObjectFactory, SourceFactory, SinkFactory
  File "/home/limb/rpmbuild/BUILD/pitivi-0.14.2/pitivi/factories/base.py", line 28, in <module>
    from pitivi.elements.singledecodebin import SingleDecodeBin
  File "/home/limb/rpmbuild/BUILD/pitivi-0.14.2/pitivi/elements/singledecodebin.py", line 29, in <module>
    from pitivi.utils import CachedFactoryList
  File "/home/limb/rpmbuild/BUILD/pitivi-0.14.2/pitivi/utils.py", line 29, in <module>
    import gtk
  File "/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 64, in <module>
    _init()
  File "/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 52, in _init
    _gtk.init_check()
RuntimeError: could not open display
make[2]: *** [check-local] Error 1
make[2]: Leaving directory `/home/limb/rpmbuild/BUILD/pitivi-0.14.2/tests'
make[1]: *** [check-am] Error 2
make[1]: Leaving directory `/home/limb/rpmbuild/BUILD/pitivi-0.14.2/tests'
make: *** [check-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.P0mZap (%check)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.P0mZap (%check)

Comment 2 Hicham HAOUARI 2011-08-17 13:35:44 UTC
Yes, since rpm unsets DISPLAY during the build process.

I have been always trying to work around this by disabling tests that depend on gtk.

You can simply remove test_action.py like I did for other tests that depend on GTK.

Comment 3 Hicham HAOUARI 2011-09-11 17:04:01 UTC
Upstream advised me to wait for 0.15 since 0.14.2 have some nasty bugs.

Comment 4 Mads Villadsen 2011-10-02 16:18:12 UTC
pitivi 0.15 has been released.

Comment 5 Fedora Update System 2011-10-08 16:23:36 UTC
pitivi-0.15.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pitivi-0.15.0-1.fc16

Comment 6 Fedora Update System 2011-10-08 16:23:44 UTC
pitivi-0.15.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pitivi-0.15.0-1.fc15

Comment 7 Fedora Update System 2011-10-08 23:34:49 UTC
Package pitivi-0.15.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pitivi-0.15.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13966
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-10-18 22:13:59 UTC
pitivi-0.15.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-19 04:36:24 UTC
pitivi-0.15.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.